=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadimime-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadimime-dev (>= 4:23.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:23.08.0~),
-               libkf5calendarutils-dev (>= 4:23.08.0~),
+               libkf5calendarsupport-dev (>= 4:23.08.1~),
+               libkf5calendarutils-dev (>= 4:23.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.0~),
-               libkf5eventviews-dev (>= 4:23.08.0~),
-               libkf5grantleetheme-dev (>= 23.08.0~),
+               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5eventviews-dev (>= 4:23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.0~),
-               libkf5libkdepim-dev (>= 4:23.08.0~),
-               libkf5mailtransport-dev (>= 23.08.0~),
-               libkf5mime-dev (>= 23.08.0~),
-               libkf5pimcommon-dev (>= 4:23.08.0~),
+               libkf5ldap-dev (>= 23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.1~),
+               libkf5mailtransport-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.1~),
                libkf5textaddons-dev,
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
@@ -57,12 +57,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.0~),
-         libkf5akonadicalendar-dev (>= 4:23.08.0~),
+Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+         libkf5akonadicalendar-dev (>= 4:23.08.1~),
          libkf5calendarcore-dev (>= 4:19.08.3~),
-         libkf5identitymanagement-dev (>= 23.08.0~),
-         libkf5mailtransport-dev (>= 23.08.0~),
-         libkf5mime-dev (>= 23.08.0~),
+         libkf5identitymanagement-dev (>= 23.08.1~),
+         libkf5mailtransport-dev (>= 23.08.1~),
+         libkf5mime-dev (>= 23.08.1~),
          libkgantt-dev,
          libkpim5incidenceeditor5 (= ${binary:Version}),
          ${misc:Depends},
